## Generated SDC file "a2gx_config_912.out.sdc"

## Copyright (C) 1991-2010 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 9.1 Build 350 03/24/2010 Service Pack 2 SJ Full Version"

## DATE    "Wed Sep 01 20:01:21 2010"

##
## DEVICE  "EP2AGX125EF35C5"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {altera_reserved_tck} -period 100.000 -waveform { 0.000 50.000 } [get_ports {altera_reserved_tck}]
create_clock -name {clk100} -period 10.000 -waveform { 0.000 5.000 } [get_ports {clkin_bot_p}]
create_clock -name {enet_rx_clk} -period 8.000 -waveform { 0.000 4.000 } [get_ports {enet_rx_clk}]

#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name {this_pll_125|altpll_component|auto_generated|pll1|clk[0]} -source [get_pins {this_pll_125|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 5 -divide_by 4 -master_clock {clk100} [get_pins {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] 
create_generated_clock -name {this_pll_125|altpll_component|auto_generated|pll1|clk[1]} -source [get_pins {this_pll_125|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 1 -divide_by 4 -master_clock {clk100} [get_pins {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] 
create_generated_clock -name {this_pll_125|altpll_component|auto_generated|pll1|clk[2]} -source [get_pins {this_pll_125|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 1 -divide_by 40 -master_clock {clk100} [get_pins {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] 
create_generated_clock -name {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]} -source [get_pins {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 1 -divide_by 2 -master_clock {clk100} [get_pins {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] 
create_generated_clock -name {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]} -source [get_pins {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 1 -divide_by 2 -phase -30.000 -master_clock {clk100} [get_pins {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] 


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {clk100}] -rise_to [get_clocks {clk100}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -fall_to [get_clocks {clk100}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -rise_to [get_clocks {enet_rx_clk}]  0.040 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -fall_to [get_clocks {enet_rx_clk}]  0.040 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {clk100}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -rise_to [get_clocks {clk100}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -fall_to [get_clocks {clk100}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -rise_to [get_clocks {enet_rx_clk}]  0.040 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -fall_to [get_clocks {enet_rx_clk}]  0.040 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {clk100}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {enet_rx_clk}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {enet_rx_clk}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {enet_rx_clk}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {enet_rx_clk}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {enet_rx_clk}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.030 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.100 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {enet_rx_clk}]  0.070 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  0.100 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 
set_clock_uncertainty -rise_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {clk100}]  0.060 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -rise_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 
set_clock_uncertainty -fall_from [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}] -fall_to [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  0.020 


#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  20.000 [get_ports {altera_reserved_tdi}]
set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  20.000 [get_ports {altera_reserved_tms}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {cpu_resetn}]
set_input_delay -add_delay  -clock [get_clocks {enet_rx_clk}]  3.000 [get_ports {enet_intn}]
set_input_delay -add_delay  -clock [get_clocks {enet_rx_clk}]  3.000 [get_ports {enet_mdio}]
set_input_delay -add_delay  -clock [get_clocks {enet_rx_clk}]  3.000 [get_ports {enet_rx_d[0]}]
set_input_delay -add_delay  -clock [get_clocks {enet_rx_clk}]  3.000 [get_ports {enet_rx_d[1]}]
set_input_delay -add_delay  -clock [get_clocks {enet_rx_clk}]  3.000 [get_ports {enet_rx_d[2]}]
set_input_delay -add_delay  -clock [get_clocks {enet_rx_clk}]  3.000 [get_ports {enet_rx_d[3]}]
set_input_delay -add_delay  -clock [get_clocks {enet_rx_clk}]  3.000 [get_ports {enet_rx_dv}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[0]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[1]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[2]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[3]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[4]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[5]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[6]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[7]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[8]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[9]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[10]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[11]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[12]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[13]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[14]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[15]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[16]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[17]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[18]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[19]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[20]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[21]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[22]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[23]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[24]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[25]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[26]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[27]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[28]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[29]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[30]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[31]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[0]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[1]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[2]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[3]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[4]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[5]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[6]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[7]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_dipsw[0]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_dipsw[1]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_dipsw[2]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_dipsw[3]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_pb[0]}]
set_input_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_pb[1]}]


#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  20.000 [get_ports {altera_reserved_tdo}]
#set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_gtx_clk}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_mdc}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_mdio}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_resetn}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_tx_d[0]}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_tx_d[1]}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_tx_d[2]}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_tx_d[3]}]
set_output_delay -add_delay  -clock [get_clocks {enet_tx_clk}]  3.000 [get_ports {enet_tx_en}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {flash_advn}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {flash_cen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {flash_clk}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {flash_oen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {flash_resetn}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {flash_wen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[3]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[4]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[5]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[6]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[7]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[8]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[9]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[10]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[11]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[12]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[13]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[14]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[15]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[16]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[17]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[18]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[19]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[20]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[21]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[22]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[23]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[24]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_a[25]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[3]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[4]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[5]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[6]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[7]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[8]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[9]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[10]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[11]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[12]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[13]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[14]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[15]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[16]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[17]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[18]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[19]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[20]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[21]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[22]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[23]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[24]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[25]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[26]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[27]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[28]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[29]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[30]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {fsm_d[31]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_csn}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_d_cn}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[3]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[4]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[5]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[6]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_data[7]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {lcd_wen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_ben[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_ben[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_ben[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_ben[3]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_clk}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_csn}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_oen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {max2_wen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {pcie_led_x1}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {pcie_led_x4}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {pcie_led_x8}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_adscn}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_bwen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_bwn[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_bwn[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_bwn[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_bwn[3]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_cen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_clk}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_dqp[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_dqp[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_dqp[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_dqp[3]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_gwn}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_oen}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {sram_zz}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_led[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_led[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_led[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk100}]  3.000 [get_ports {user_led[3]}]


#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 


#**************************************************************
# Set False Path
#**************************************************************

set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {clk100}]
set_false_path -from  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[1]}]  -to  [get_clocks {clk100}]
set_false_path -from  [get_clocks {enet_rx_clk}]  -to  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]
set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]
set_false_path -from  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]
set_false_path -from  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]
set_false_path -from  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]
set_false_path -from  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {enet_rx_clk}]
set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]
set_false_path -from  [get_clocks {clk100}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]
set_false_path -from  [get_clocks {bup_nios_inst|the_pll_0|the_pll|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {clk100}]
set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]
set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]
set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[1]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]
set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[2]}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]
set_false_path -from  [get_clocks {altera_reserved_tck}]  -to  [get_clocks {altera_reserved_tck}]
set_false_path -from  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[0]}]  -to  [get_clocks {enet_rx_clk}]
set_false_path -from  [get_clocks {enet_rx_clk}]  -to  [get_clocks {this_pll_125|altpll_component|auto_generated|pll1|clk[*]}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|jupdate}] -to [get_registers {*|alt_jtag_atlantic:*|jupdate1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|rdata[*]}] -to [get_registers {*|alt_jtag_atlantic*|td_shift[*]}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|read_req}] 
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|read_write}] -to [get_registers {*|alt_jtag_atlantic:*|read_write1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|rvalid}] -to [get_registers {*|alt_jtag_atlantic*|td_shift[*]}]
set_false_path -from [get_registers {*|t_dav}] -to [get_registers {*|alt_jtag_atlantic:*|td_shift[0]*}]
set_false_path -from [get_registers {*|t_dav}] -to [get_registers {*|alt_jtag_atlantic:*|write_stalled*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|user_saw_rvalid}] -to [get_registers {*|alt_jtag_atlantic:*|rvalid0*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|wdata[*]}] -to [get_registers *]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_stalled}] -to [get_registers {*|alt_jtag_atlantic:*|t_ena*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_stalled}] -to [get_registers {*|alt_jtag_atlantic:*|t_pause*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_valid}] 
set_false_path -from [get_registers {*altera_avalon_st_clock_crosser:*|in_data_buffer*}] -to [get_registers {*altera_avalon_st_clock_crosser:*|out_data_buffer*}]
set_false_path -from [get_pins -nocase -compatibility_mode {*the*clock*|slave_writedata_d1*|*}] -to [get_registers *]
set_false_path -from [get_pins -nocase -compatibility_mode {*the*clock*|slave_address*|*}] -to [get_registers *]
set_false_path -from [get_pins -nocase -compatibility_mode {*the*clock*|slave_byteenable*|*}] -to [get_registers *]
set_false_path -from [get_pins -nocase -compatibility_mode {*the*clock*|slave_nativeaddress_d1*|*}] -to [get_registers *]
set_false_path -from [get_pins -nocase -compatibility_mode {*the*clock*|slave_readdata_p1*}] -to [get_registers *]
set_false_path -from [get_keepers -nocase {*the*clock*|slave_readdata_p1*}] -to [get_registers *]
set_false_path -from [get_registers {*altera_jtag_src_crosser:*|sink_data_buffer*}] -to [get_registers {*altera_jtag_src_crosser:*|src_data*}]
set_false_path -from [get_registers {*altera_jtag_streaming:*|clock_sensor*}] -to [get_registers {*altera_jtag_streaming:*|sampled_clock_and_reset*}]
set_false_path -from [get_registers {*sld_hub:*}] -to [get_registers {*altera_jtag_streaming:*|clock_sensor}]
set_false_path -from [get_registers {*altera_jtag_streaming:*|clock_to_sample_div2*}] -to [get_registers {*altera_jtag_streaming:*|sampled_clock_and_reset*}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_break:the_cpu_0_nios2_oci_break|break_readreg*}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr*}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_debug:the_cpu_0_nios2_oci_debug|*resetlatch}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr[33]}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_debug:the_cpu_0_nios2_oci_debug|monitor_ready}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr[0]}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_debug:the_cpu_0_nios2_oci_debug|monitor_error}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr[34]}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_ocimem:the_cpu_0_nios2_ocimem|*MonDReg*}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr*}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr*}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_sysclk:the_cpu_0_jtag_debug_module_sysclk|*jdo*}]
set_false_path -from [get_keepers {sld_hub:*|irf_reg*}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_sysclk:the_cpu_0_jtag_debug_module_sysclk|ir*}]
set_false_path -from [get_keepers {sld_hub:*|sld_shadow_jsm:shadow_jsm|state[1]}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_debug:the_cpu_0_nios2_oci_debug|monitor_go}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_break:the_cpu_0_nios2_oci_break|dbrk_hit?_latch}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr*}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_break:the_cpu_0_nios2_oci_break|trigbrktype}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr*}]
set_false_path -from [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_nios2_oci_break:the_cpu_0_nios2_oci_break|trigger_state}] -to [get_keepers {*cpu_0:the_cpu_0|cpu_0_nios2_oci:the_cpu_0_nios2_oci|cpu_0_jtag_debug_module_wrapper:the_cpu_0_jtag_debug_module_wrapper|cpu_0_jtag_debug_module_tck:the_cpu_0_jtag_debug_module_tck|*sr*}]
set_false_path -to [get_keepers {*altera_std_synchronizer:*|din_s1}]

#**************************************************************
# Set Multicycle Path
#**************************************************************

set_multicycle_path -setup -end -from [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_altsyncram_dpm_fifo:U_RTSM|altsyncram*}] -to [get_keepers *] 5
set_multicycle_path -setup -end -from [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] -to [get_keepers *] 5
set_multicycle_path -setup -end -from [get_keepers *] -to [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] 5
set_multicycle_path -hold -end -from [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_altsyncram_dpm_fifo:U_RTSM|altsyncram*}] -to [get_keepers *] 5
set_multicycle_path -hold -end -from [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] -to [get_keepers *] 5
set_multicycle_path -hold -end -from [get_keepers *] -to [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] 5
set_multicycle_path -setup -end -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_altsyncram_dpm_fifo:U_RTSM|altsyncram*}] -to [get_registers *] 5
set_multicycle_path -setup -end -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] -to [get_registers *] 5
set_multicycle_path -setup -end -from [get_registers *] -to [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] 5
set_multicycle_path -hold -end -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_altsyncram_dpm_fifo:U_RTSM|altsyncram*}] -to [get_registers *] 5
set_multicycle_path -hold -end -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] -to [get_registers *] 5
set_multicycle_path -hold -end -from [get_registers *] -to [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*}] 5


#**************************************************************
# Set Maximum Delay
#**************************************************************

set_max_delay -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|dout_reg_sft*}] -to [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*}] 7.000
set_max_delay -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|eop_sft*}] -to [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*}] 7.000
set_max_delay -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|sop_reg*}] -to [get_keepers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*}] 7.000
set_max_delay -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|dout_reg_sft*}] -to [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*}] 7.000
set_max_delay -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|eop_sft*}] -to [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*}] 7.000
set_max_delay -from [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|sop_reg*}] -to [get_registers {*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*}] 7.000


#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

